snmp_set_valueretrieval
snmpgetnext
SNMP Functions
PHP Manual

# snmpget

(PHP 4, PHP 5)

snmpget — Fetch an SNMP object

### Description

string snmpget ( string `$hostname` , string `$community` , string `$object_id` [, int `$timeout` [, int `$retries` ]] )

The snmpget() function is used to read the value of an SNMP object specified by the `object_id`.

### Parameters

`hostname`

  The SNMP agent.

`community`

  The read community.

`object_id`

  The SNMP object.

`timeout`

  The number of microseconds until the first timeout.

`retries`

### Return Values

Returns SNMP object value on success or `FALSE` on error.

### Examples

Example #1 Using snmpget()

`<?php
$syscontact = snmpget("127.0.0.1", "public", "system.SysContact.0");
?>`

### See Also

- snmpset() - Set an SNMP object

snmp_set_valueretrieval
snmpgetnext
SNMP Functions
PHP Manual